// Code generated by protoc-gen-go. DO NOT EDIT.
// source: automation.proto

/*
Package automation is a generated protocol buffer package.

It is generated from these files:
	automation.proto

It has these top-level messages:
	ClusterOperation
	TaskContainer
	Task
	EnqueueClusterOperationRequest
	EnqueueClusterOperationResponse
	GetClusterOperationStateRequest
	GetClusterOperationStateResponse
	GetClusterOperationDetailsRequest
	GetClusterOperationDetailsResponse
*/
package automation

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type ClusterOperationState int32

const (
	ClusterOperationState_UNKNOWN_CLUSTER_OPERATION_STATE ClusterOperationState = 0
	ClusterOperationState_CLUSTER_OPERATION_NOT_STARTED   ClusterOperationState = 1
	ClusterOperationState_CLUSTER_OPERATION_RUNNING       ClusterOperationState = 2
	ClusterOperationState_CLUSTER_OPERATION_DONE          ClusterOperationState = 3
)

var ClusterOperationState_name = map[int32]string{
	0: "UNKNOWN_CLUSTER_OPERATION_STATE",
	1: "CLUSTER_OPERATION_NOT_STARTED",
	2: "CLUSTER_OPERATION_RUNNING",
	3: "CLUSTER_OPERATION_DONE",
}
var ClusterOperationState_value = map[string]int32{
	"UNKNOWN_CLUSTER_OPERATION_STATE": 0,
	"CLUSTER_OPERATION_NOT_STARTED":   1,
	"CLUSTER_OPERATION_RUNNING":       2,
	"CLUSTER_OPERATION_DONE":          3,
}

func (x ClusterOperationState) String() string {
	return proto.EnumName(ClusterOperationState_name, int32(x))
}
func (ClusterOperationState) EnumDescriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

type TaskState int32

const (
	TaskState_UNKNOWN_TASK_STATE TaskState = 0
	TaskState_NOT_STARTED        TaskState = 1
	TaskState_RUNNING            TaskState = 2
	TaskState_DONE               TaskState = 3
)

var TaskState_name = map[int32]string{
	0: "UNKNOWN_TASK_STATE",
	1: "NOT_STARTED",
	2: "RUNNING",
	3: "DONE",
}
var TaskState_value = map[string]int32{
	"UNKNOWN_TASK_STATE": 0,
	"NOT_STARTED":        1,
	"RUNNING":            2,
	"DONE":               3,
}

func (x TaskState) String() string {
	return proto.EnumName(TaskState_name, int32(x))
}
func (TaskState) EnumDescriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

type ClusterOperation struct {
	Id string `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
	// TaskContainer are processed sequentially, one at a time.
	SerialTasks []*TaskContainer `protobuf:"bytes,2,rep,name=serial_tasks,json=serialTasks" json:"serial_tasks,omitempty"`
	// Cached value. This has to be re-evaluated e.g. after a checkpoint load because running tasks may have already finished.
	State ClusterOperationState `protobuf:"varint,3,opt,name=state,enum=automation.ClusterOperationState" json:"state,omitempty"`
	// Error of the first task which failed. Set after state advanced to CLUSTER_OPERATION_DONE. If empty, all tasks succeeded. Cached value, see state above.
	Error string `protobuf:"bytes,4,opt,name=error" json:"error,omitempty"`
}

func (m *ClusterOperation) Reset()                    { *m = ClusterOperation{} }
func (m *ClusterOperation) String() string            { return proto.CompactTextString(m) }
func (*ClusterOperation) ProtoMessage()               {}
func (*ClusterOperation) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *ClusterOperation) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *ClusterOperation) GetSerialTasks() []*TaskContainer {
	if m != nil {
		return m.SerialTasks
	}
	return nil
}

func (m *ClusterOperation) GetState() ClusterOperationState {
	if m != nil {
		return m.State
	}
	return ClusterOperationState_UNKNOWN_CLUSTER_OPERATION_STATE
}

func (m *ClusterOperation) GetError() string {
	if m != nil {
		return m.Error
	}
	return ""
}

// TaskContainer holds one or more task which may be executed in parallel.
// "concurrency", if > 0, limits the amount of concurrently executed tasks.
type TaskContainer struct {
	ParallelTasks []*Task `protobuf:"bytes,1,rep,name=parallel_tasks,json=parallelTasks" json:"parallel_tasks,omitempty"`
	Concurrency   int32   `protobuf:"varint,2,opt,name=concurrency" json:"concurrency,omitempty"`
}

func (m *TaskContainer) Reset()                    { *m = TaskContainer{} }
func (m *TaskContainer) String() string            { return proto.CompactTextString(m) }
func (*TaskContainer) ProtoMessage()               {}
func (*TaskContainer) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *TaskContainer) GetParallelTasks() []*Task {
	if m != nil {
		return m.ParallelTasks
	}
	return nil
}

func (m *TaskContainer) GetConcurrency() int32 {
	if m != nil {
		return m.Concurrency
	}
	return 0
}

// Task represents a specific task which should be automatically executed.
type Task struct {
	// Task specification.
	Name       string            `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
	Parameters map[string]string `protobuf:"bytes,2,rep,name=parameters" json:"parameters,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
	// Runtime data.
	Id    string    `protobuf:"bytes,3,opt,name=id" json:"id,omitempty"`
	State TaskState `protobuf:"varint,4,opt,name=state,enum=automation.TaskState" json:"state,omitempty"`
	// Set after state advanced to DONE.
	Output string `protobuf:"bytes,5,opt,name=output" json:"output,omitempty"`
	// Set after state advanced to DONE. If empty, the task did succeed.
	Error string `protobuf:"bytes,6,opt,name=error" json:"error,omitempty"`
}

func (m *Task) Reset()                    { *m = Task{} }
func (m *Task) String() string            { return proto.CompactTextString(m) }
func (*Task) ProtoMessage()               {}
func (*Task) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

func (m *Task) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Task) GetParameters() map[string]string {
	if m != nil {
		return m.Parameters
	}
	return nil
}

func (m *Task) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Task) GetState() TaskState {
	if m != nil {
		return m.State
	}
	return TaskState_UNKNOWN_TASK_STATE
}

func (m *Task) GetOutput() string {
	if m != nil {
		return m.Output
	}
	return ""
}

func (m *Task) GetError() string {
	if m != nil {
		return m.Error
	}
	return ""
}

type EnqueueClusterOperationRequest struct {
	Name       string            `protobuf:"bytes,1,opt,name=name" json:"name,omitempty"`
	Parameters map[string]string `protobuf:"bytes,2,rep,name=parameters" json:"parameters,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
}

func (m *EnqueueClusterOperationRequest) Reset()                    { *m = EnqueueClusterOperationRequest{} }
func (m *EnqueueClusterOperationRequest) String() string            { return proto.CompactTextString(m) }
func (*EnqueueClusterOperationRequest) ProtoMessage()               {}
func (*EnqueueClusterOperationRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{3} }

func (m *EnqueueClusterOperationRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *EnqueueClusterOperationRequest) GetParameters() map[string]string {
	if m != nil {
		return m.Parameters
	}
	return nil
}

type EnqueueClusterOperationResponse struct {
	Id string `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
}

func (m *EnqueueClusterOperationResponse) Reset()                    { *m = EnqueueClusterOperationResponse{} }
func (m *EnqueueClusterOperationResponse) String() string            { return proto.CompactTextString(m) }
func (*EnqueueClusterOperationResponse) ProtoMessage()               {}
func (*EnqueueClusterOperationResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{4} }

func (m *EnqueueClusterOperationResponse) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

type GetClusterOperationStateRequest struct {
	Id string `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
}

func (m *GetClusterOperationStateRequest) Reset()                    { *m = GetClusterOperationStateRequest{} }
func (m *GetClusterOperationStateRequest) String() string            { return proto.CompactTextString(m) }
func (*GetClusterOperationStateRequest) ProtoMessage()               {}
func (*GetClusterOperationStateRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{5} }

func (m *GetClusterOperationStateRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

type GetClusterOperationStateResponse struct {
	State ClusterOperationState `protobuf:"varint,1,opt,name=state,enum=automation.ClusterOperationState" json:"state,omitempty"`
}

func (m *GetClusterOperationStateResponse) Reset()         { *m = GetClusterOperationStateResponse{} }
func (m *GetClusterOperationStateResponse) String() string { return proto.CompactTextString(m) }
func (*GetClusterOperationStateResponse) ProtoMessage()    {}
func (*GetClusterOperationStateResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor0, []int{6}
}

func (m *GetClusterOperationStateResponse) GetState() ClusterOperationState {
	if m != nil {
		return m.State
	}
	return ClusterOperationState_UNKNOWN_CLUSTER_OPERATION_STATE
}

type GetClusterOperationDetailsRequest struct {
	Id string `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
}

func (m *GetClusterOperationDetailsRequest) Reset()         { *m = GetClusterOperationDetailsRequest{} }
func (m *GetClusterOperationDetailsRequest) String() string { return proto.CompactTextString(m) }
func (*GetClusterOperationDetailsRequest) ProtoMessage()    {}
func (*GetClusterOperationDetailsRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor0, []int{7}
}

func (m *GetClusterOperationDetailsRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

type GetClusterOperationDetailsResponse struct {
	// Full snapshot of the execution e.g. including output of each task.
	ClusterOp *ClusterOperation `protobuf:"bytes,2,opt,name=cluster_op,json=clusterOp" json:"cluster_op,omitempty"`
}

func (m *GetClusterOperationDetailsResponse) Reset()         { *m = GetClusterOperationDetailsResponse{} }
func (m *GetClusterOperationDetailsResponse) String() string { return proto.CompactTextString(m) }
func (*GetClusterOperationDetailsResponse) ProtoMessage()    {}
func (*GetClusterOperationDetailsResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor0, []int{8}
}

func (m *GetClusterOperationDetailsResponse) GetClusterOp() *ClusterOperation {
	if m != nil {
		return m.ClusterOp
	}
	return nil
}

func init() {
	proto.RegisterType((*ClusterOperation)(nil), "automation.ClusterOperation")
	proto.RegisterType((*TaskContainer)(nil), "automation.TaskContainer")
	proto.RegisterType((*Task)(nil), "automation.Task")
	proto.RegisterType((*EnqueueClusterOperationRequest)(nil), "automation.EnqueueClusterOperationRequest")
	proto.RegisterType((*EnqueueClusterOperationResponse)(nil), "automation.EnqueueClusterOperationResponse")
	proto.RegisterType((*GetClusterOperationStateRequest)(nil), "automation.GetClusterOperationStateRequest")
	proto.RegisterType((*GetClusterOperationStateResponse)(nil), "automation.GetClusterOperationStateResponse")
	proto.RegisterType((*GetClusterOperationDetailsRequest)(nil), "automation.GetClusterOperationDetailsRequest")
	proto.RegisterType((*GetClusterOperationDetailsResponse)(nil), "automation.GetClusterOperationDetailsResponse")
	proto.RegisterEnum("automation.ClusterOperationState", ClusterOperationState_name, ClusterOperationState_value)
	proto.RegisterEnum("automation.TaskState", TaskState_name, TaskState_value)
}

func init() { proto.RegisterFile("automation.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 562 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xa4, 0x94, 0xdb, 0x6a, 0xdb, 0x4c,
	0x14, 0x85, 0x7f, 0xc9, 0x87, 0xbf, 0xde, 0x6a, 0x1c, 0x31, 0x34, 0x46, 0x09, 0x4d, 0x23, 0xab,
	0x37, 0x26, 0x05, 0x43, 0x9d, 0x8b, 0x94, 0xb4, 0x85, 0x1a, 0x5b, 0x84, 0xe0, 0x22, 0x85, 0xb1,
	0x4c, 0xa1, 0xbd, 0x30, 0x53, 0x67, 0x2e, 0x54, 0xcb, 0x92, 0x32, 0x33, 0x2a, 0xf8, 0x05, 0xfa,
	0x10, 0x7d, 0x89, 0x3e, 0x4a, 0x5f, 0xa9, 0xe8, 0x64, 0xcb, 0xf2, 0x01, 0x4a, 0xef, 0x34, 0x5b,
	0x6b, 0xaf, 0xbd, 0xe6, 0xb3, 0xb7, 0x40, 0x25, 0x91, 0x08, 0x16, 0x44, 0xb8, 0x81, 0xdf, 0x0d,
	0x59, 0x20, 0x02, 0x04, 0xeb, 0x8a, 0xf1, 0x4b, 0x02, 0x75, 0xe0, 0x45, 0x5c, 0x50, 0x66, 0x87,
	0x94, 0x25, 0x45, 0xd4, 0x04, 0xd9, 0x7d, 0xd0, 0x24, 0x5d, 0xea, 0x34, 0xb0, 0xec, 0x3e, 0xa0,
	0x77, 0xf0, 0x94, 0x53, 0xe6, 0x12, 0x6f, 0x2a, 0x08, 0x9f, 0x73, 0x4d, 0xd6, 0x2b, 0x1d, 0xa5,
	0x77, 0xda, 0x2d, 0x38, 0x3b, 0x84, 0xcf, 0x07, 0x81, 0x2f, 0x88, 0xeb, 0x53, 0x86, 0x95, 0x54,
	0x1e, 0x17, 0x39, 0xba, 0x86, 0x1a, 0x17, 0x44, 0x50, 0xad, 0xa2, 0x4b, 0x9d, 0x66, 0xaf, 0x5d,
	0x6c, 0x2b, 0x8f, 0x1e, 0xc7, 0x42, 0x9c, 0xea, 0xd1, 0x33, 0xa8, 0x51, 0xc6, 0x02, 0xa6, 0x55,
	0x93, 0x24, 0xe9, 0xc1, 0xf8, 0x06, 0x47, 0x1b, 0xc3, 0xd0, 0x35, 0x34, 0x43, 0xc2, 0x88, 0xe7,
	0xd1, 0x3c, 0x9f, 0x94, 0xe4, 0x53, 0xcb, 0xf9, 0xf0, 0x51, 0xae, 0x4b, 0x83, 0xe9, 0xa0, 0xcc,
	0x02, 0x7f, 0x16, 0x31, 0x46, 0xfd, 0xd9, 0x52, 0x93, 0x75, 0xa9, 0x53, 0xc3, 0xc5, 0x92, 0xf1,
	0x43, 0x86, 0x6a, 0xac, 0x45, 0x08, 0xaa, 0x3e, 0x59, 0xd0, 0x8c, 0x49, 0xf2, 0x8c, 0x3e, 0x00,
	0xc4, 0x7e, 0x0b, 0x2a, 0x28, 0xcb, 0x99, 0xe8, 0xe5, 0x99, 0xdd, 0xfb, 0x95, 0xc4, 0xf4, 0x05,
	0x5b, 0xe2, 0x42, 0x4f, 0xc6, 0xb9, 0xb2, 0xe2, 0xfc, 0x2a, 0x27, 0x55, 0x4d, 0x48, 0x9d, 0x94,
	0xcd, 0x36, 0xe8, 0xb4, 0xa0, 0x1e, 0x44, 0x22, 0x8c, 0x84, 0x56, 0x4b, 0x0c, 0xb2, 0xd3, 0x9a,
	0x5a, 0xbd, 0x40, 0xed, 0xec, 0x3d, 0x1c, 0x97, 0x92, 0x20, 0x15, 0x2a, 0x73, 0xba, 0xcc, 0xae,
	0x14, 0x3f, 0xc6, 0xad, 0xdf, 0x89, 0x17, 0xd1, 0x04, 0x45, 0x03, 0xa7, 0x87, 0x1b, 0xf9, 0x8d,
	0x64, 0xfc, 0x96, 0xe0, 0x85, 0xe9, 0x3f, 0x46, 0x34, 0xa2, 0xe5, 0x9f, 0x0c, 0xd3, 0xc7, 0x88,
	0x72, 0xb1, 0x13, 0xd1, 0xe7, 0x1d, 0x88, 0x6e, 0x8a, 0xb7, 0x3a, 0xec, 0x79, 0x08, 0xde, 0xbf,
	0xde, 0xe8, 0x35, 0x5c, 0xec, 0x1d, 0xce, 0xc3, 0xc0, 0xe7, 0xb4, 0xbc, 0x06, 0x71, 0xcb, 0x2d,
	0x15, 0xbb, 0xff, 0xb2, 0x19, 0x84, 0x72, 0xcb, 0x17, 0xd0, 0xf7, 0xb7, 0x64, 0x63, 0x56, 0xfb,
	0x21, 0xfd, 0xdd, 0x7e, 0x18, 0x57, 0xd0, 0xde, 0x61, 0x3e, 0xa4, 0x82, 0xb8, 0x1e, 0xdf, 0x97,
	0x88, 0x80, 0x71, 0xa8, 0x29, 0xcb, 0xf4, 0x16, 0x60, 0x96, 0x4a, 0xa6, 0x41, 0x98, 0xc0, 0x53,
	0x7a, 0xcf, 0x0f, 0x05, 0xc3, 0x8d, 0x59, 0x5e, 0xb9, 0xfc, 0x29, 0xc1, 0xc9, 0xce, 0xe0, 0xe8,
	0x25, 0x5c, 0x4c, 0xac, 0x91, 0x65, 0x7f, 0xb2, 0xa6, 0x83, 0x8f, 0x93, 0xb1, 0x63, 0xe2, 0xa9,
	0x7d, 0x6f, 0xe2, 0xbe, 0x73, 0x67, 0x5b, 0xd3, 0xb1, 0xd3, 0x77, 0x4c, 0xf5, 0x3f, 0xd4, 0x86,
	0xf3, 0xed, 0x97, 0x96, 0xed, 0xc4, 0x02, 0xec, 0x98, 0x43, 0x55, 0x42, 0xe7, 0x70, 0xba, 0x2d,
	0xc1, 0x13, 0xcb, 0xba, 0xb3, 0x6e, 0x55, 0x19, 0x9d, 0x41, 0x6b, 0xfb, 0xf5, 0xd0, 0xb6, 0x4c,
	0xb5, 0x72, 0x39, 0x82, 0xc6, 0x6a, 0x95, 0x50, 0x0b, 0x50, 0x9e, 0xc7, 0xe9, 0x8f, 0x47, 0xab,
	0x08, 0xc7, 0xa0, 0x6c, 0x0e, 0x54, 0xe0, 0xff, 0xb5, 0xfd, 0x13, 0xa8, 0xa6, 0x66, 0x5f, 0xeb,
	0xc9, 0x07, 0xf5, 0xea, 0x4f, 0x00, 0x00, 0x00, 0xff, 0xff, 0x8f, 0x42, 0xc7, 0x06, 0x64, 0x05,
	0x00, 0x00,
}
