// Code generated by protoc-gen-go. DO NOT EDIT.
// source: logutil.proto

/*
Package logutil is a generated protocol buffer package.

It is generated from these files:
	logutil.proto

It has these top-level messages:
	Time
	Event
*/
package logutil

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

// Level is the level of the log messages.
type Level int32

const (
	// The usual logging levels.
	// Should be logged using logging facility.
	Level_INFO    Level = 0
	Level_WARNING Level = 1
	Level_ERROR   Level = 2
	// For messages that may contains non-logging events.
	// Should be logged to console directly.
	Level_CONSOLE Level = 3
)

var Level_name = map[int32]string{
	0: "INFO",
	1: "WARNING",
	2: "ERROR",
	3: "CONSOLE",
}
var Level_value = map[string]int32{
	"INFO":    0,
	"WARNING": 1,
	"ERROR":   2,
	"CONSOLE": 3,
}

func (x Level) String() string {
	return proto.EnumName(Level_name, int32(x))
}
func (Level) EnumDescriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

// Time represents a time stamp in nanoseconds. In go, use logutil library
// to convert times.
type Time struct {
	Seconds     int64 `protobuf:"varint,1,opt,name=seconds" json:"seconds,omitempty"`
	Nanoseconds int32 `protobuf:"varint,2,opt,name=nanoseconds" json:"nanoseconds,omitempty"`
}

func (m *Time) Reset()                    { *m = Time{} }
func (m *Time) String() string            { return proto.CompactTextString(m) }
func (*Time) ProtoMessage()               {}
func (*Time) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *Time) GetSeconds() int64 {
	if m != nil {
		return m.Seconds
	}
	return 0
}

func (m *Time) GetNanoseconds() int32 {
	if m != nil {
		return m.Nanoseconds
	}
	return 0
}

// Event is a single logging event
type Event struct {
	Time  *Time  `protobuf:"bytes,1,opt,name=time" json:"time,omitempty"`
	Level Level  `protobuf:"varint,2,opt,name=level,enum=logutil.Level" json:"level,omitempty"`
	File  string `protobuf:"bytes,3,opt,name=file" json:"file,omitempty"`
	Line  int64  `protobuf:"varint,4,opt,name=line" json:"line,omitempty"`
	Value string `protobuf:"bytes,5,opt,name=value" json:"value,omitempty"`
}

func (m *Event) Reset()                    { *m = Event{} }
func (m *Event) String() string            { return proto.CompactTextString(m) }
func (*Event) ProtoMessage()               {}
func (*Event) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *Event) GetTime() *Time {
	if m != nil {
		return m.Time
	}
	return nil
}

func (m *Event) GetLevel() Level {
	if m != nil {
		return m.Level
	}
	return Level_INFO
}

func (m *Event) GetFile() string {
	if m != nil {
		return m.File
	}
	return ""
}

func (m *Event) GetLine() int64 {
	if m != nil {
		return m.Line
	}
	return 0
}

func (m *Event) GetValue() string {
	if m != nil {
		return m.Value
	}
	return ""
}

func init() {
	proto.RegisterType((*Time)(nil), "logutil.Time")
	proto.RegisterType((*Event)(nil), "logutil.Event")
	proto.RegisterEnum("logutil.Level", Level_name, Level_value)
}

func init() { proto.RegisterFile("logutil.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 235 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x4c, 0x90, 0x41, 0x4b, 0xc3, 0x40,
	0x10, 0x85, 0xdd, 0x66, 0xd7, 0xd8, 0x09, 0x2d, 0x61, 0xf0, 0xb0, 0xc7, 0x58, 0x3c, 0x04, 0x0f,
	0x3d, 0x54, 0xf0, 0xae, 0x12, 0xa5, 0x50, 0x12, 0x18, 0x05, 0xcf, 0x55, 0x47, 0x59, 0xd8, 0xee,
	0x8a, 0x4d, 0xf3, 0x33, 0xfc, 0xcd, 0x92, 0x89, 0x91, 0xde, 0xe6, 0x7d, 0xef, 0xf1, 0xde, 0xb2,
	0x30, 0xf3, 0xf1, 0xf3, 0xd0, 0x3a, 0xbf, 0xfc, 0xfa, 0x8e, 0x6d, 0xc4, 0xf4, 0x4f, 0x2e, 0xee,
	0x40, 0x3f, 0xbb, 0x1d, 0xa3, 0x85, 0x74, 0xcf, 0x6f, 0x31, 0xbc, 0xef, 0xad, 0x2a, 0x54, 0x99,
	0xd0, 0x28, 0xb1, 0x80, 0x2c, 0x6c, 0x43, 0x1c, 0xdd, 0x49, 0xa1, 0x4a, 0x43, 0xc7, 0x68, 0xf1,
	0xa3, 0xc0, 0x54, 0x1d, 0x87, 0x16, 0x2f, 0x40, 0xb7, 0x6e, 0xc7, 0x52, 0x91, 0xad, 0x66, 0xcb,
	0x71, 0xb4, 0x9f, 0x20, 0xb1, 0xf0, 0x12, 0x8c, 0xe7, 0x8e, 0xbd, 0x14, 0xcd, 0x57, 0xf3, 0xff,
	0xcc, 0xa6, 0xa7, 0x34, 0x98, 0x88, 0xa0, 0x3f, 0x9c, 0x67, 0x9b, 0x14, 0xaa, 0x9c, 0x92, 0xdc,
	0x3d, 0xf3, 0x2e, 0xb0, 0xd5, 0xf2, 0x3e, 0xb9, 0xf1, 0x1c, 0x4c, 0xb7, 0xf5, 0x07, 0xb6, 0x46,
	0x82, 0x83, 0xb8, 0xba, 0x01, 0x23, 0x6d, 0x78, 0x06, 0x7a, 0x5d, 0x3f, 0x34, 0xf9, 0x09, 0x66,
	0x90, 0xbe, 0xdc, 0x52, 0xbd, 0xae, 0x1f, 0x73, 0x85, 0x53, 0x30, 0x15, 0x51, 0x43, 0xf9, 0xa4,
	0xe7, 0xf7, 0x4d, 0xfd, 0xd4, 0x6c, 0xaa, 0x3c, 0x79, 0x3d, 0x95, 0xcf, 0xb9, 0xfe, 0x0d, 0x00,
	0x00, 0xff, 0xff, 0x57, 0x27, 0x8f, 0xe1, 0x2d, 0x01, 0x00, 0x00,
}
