---
layout: home
permalink: /
title: Vitess - Database Clustering System for Horizontal Scaling of MySQL
---

<div class="row">
  <div class="col-md-4">
    <h2><i class="fa fa-cubes"></i>&nbsp;Scalability</h2>
    <p class="desc">Vitess combines many important MySQL features with the scalability of a NoSQL database. Its built-in sharding features let you grow your database without adding sharding logic to your application.</p>
  </div>
  <div class="col-md-4">
    <h2><i class="fa fa-fighter-jet"></i>&nbsp;Performance</h2>
    <p class="desc">Vitess automatically rewrites queries that hurt database performance. It also uses caching mechanisms to mediate queries and prevent duplicate queries from simultaneously reaching your database.</p>
  </div>
  <div class="col-md-4">
    <h2><i class="fa fa-dashboard"></i>&nbsp;Manageability</h2>
    <p class="desc">Vitess automatically handles functions like master failovers and backups. It uses a lock server to track and administer servers, letting your application be blissfully ignorant of database topology.</p>
  </div>
</div>
<div class="row">
  <div class="col-md-4">
    <h2><i class="fa fa-share-alt"></i>&nbsp;Connection pooling</h2>
    <p class="desc">Vitess eliminates the high-memory overhead of MySQL connections. Its gRPC-based protocol lets Vitess servers easily handle thousands of connections at once.</p>
  </div>
  <div class="col-md-4">
    <h2><i class="fa fa-object-ungroup"></i>&nbsp;Shard Management</h2>
    <p class="desc">MySQL doesn't natively support sharding, but you will likely need it as your database grows. Vitess saves you from having to add sharding logic to your app and also enables live resharding with minimal read-only downtime.</p>
  </div>
  <div class="col-md-4">
    <h2><i class="fa fa-magic"></i>&nbsp;Workflow</h2>
    <p class="desc">Vitess keeps track of all of the metadata about your cluster configuration so that the cluster view is always up-to-date and consistent for different clients.</p>
  </div>
</div>

<div class="page-spacer"></div>

<!-- Ordering of logos: alphabetical with YouTube as exception.
Slack and Nozzle are swapped for aesthetics, because the icons don't align well otherwise. -->

<div class="row">
  <div class="col-md-6">
    <h2><i class="fa fa-flag-checkered"></i>&nbsp;Who uses Vitess</h2>
    <div class="row logo-row">
      <div class="col-md-3">
        <img src="/images/users/youtube_logo.png" alt="YouTube" width="120">
      </div>
      <div class="col-md-3">
        <img src="/images/users/axon_logo.png" alt="Axon" width="60">
      </div>
      <div class="col-md-3">
        <img src="/images/users/bettercloud_logo.png" alt="BetterCloud" width="120">
      </div>
    </div>
    <div class="row logo-row">
      <div class="col-md-3">
        <img src="/images/users/flipkart_logo.png" alt="Flipkart" width="120">
      </div>
      <div class="col-md-3">
        <img src="/images/users/hubspot_logo.png" alt="Hubspot" width="120">
      </div>
      <div class="col-md-3">
        <img src="/images/users/jd.jpg" alt="JD" width="120">
      </div>
    </div>
    <div class="row logo-row">
      <div class="col-md-3">
        <img src="/images/users/slack_logo.png" alt="Slack" width="120">
      </div>
      <div class="col-md-3">
        <img src="/images/users/pixel_federation_logo.png" alt="Pixel Federation" width="100">
      </div>
      <div class="col-md-3">
        <img src="/images/users/quiz_of_kings_logo.jpg" alt="Quiz of Kings" width="100">
      </div>
    </div>
    <div class="row logo-row">
      <div class="col-md-3">
        <img src="/images/users/nozzle_logo.png" alt="Nozzle" width="60">
      </div>
      <div class="col-md-3">
        <img src="/images/users/square_logo.png" alt="Square" width="120">
      </div>
      <div class="col-md-3">
        <img src="/images/users/stitchlabs_logo.png" alt="Stitch Labs" width="120">
      </div>
    </div>
  </div>
  <div class="col-md-6">
    <h2><i class="fa fa-rocket"></i>&nbsp;An Introduction to Vitess</h2>
    <div class="row">
      <div class="col-md-12">
        <iframe width="480" height="270" src="https://www.youtube.com/embed/q65TleTn2vg?rel=0" frameborder="0" allowfullscreen></iframe>
      </div>
    </div>
  </div>
</div>

<div class="page-spacer"></div>
<div class="page-spacer"></div>

<div class="row" style="text-align: center">
  <a href="https://www.cncf.io/"><img src="/images/cncf-icon-color.svg" width="200" height="200"></a>
  <h3>We are a Cloud Native Computing Foundation project.</h3>
</div>
